/*
    LogExport: Export Symbian call log to a file
	Copyright (C) 2007 Yohanes Nugroho

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
============================================================================
 Name        : LogExportApplication.h
 Author      : Yohanes Nugroho
 Copyright   : Yohanes Nugroho
 Description : Declares main application class.
============================================================================
*/

#ifndef __LOGEXPORTAPPLICATION_H__
#define __LOGEXPORTAPPLICATION_H__

// INCLUDES
#include <aknapp.h>

// CLASS DECLARATION

/**
* CLogExportApplication application class.
* Provides factory to create concrete document object.
* An instance of CLogExportApplication is the application part of the
* AVKON application framework for the LogExport example application.
*/
class CLogExportApplication : public CAknApplication
    {
    public: // Functions from base classes

        /**
        * From CApaApplication, AppDllUid.
        * @return Application's UID (KUidLogExportApp).
        */
        TUid AppDllUid() const;

    protected: // Functions from base classes

        /**
        * From CApaApplication, CreateDocumentL.
        * Creates CLogExportDocument document object. The returned
        * pointer in not owned by the CLogExportApplication object.
        * @return A pointer to the created document object.
        */
        CApaDocument* CreateDocumentL();
    };

#endif // __LOGEXPORTAPPLICATION_H__

// End of File
